#
# spec file for package freedoom-freedm
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define waddir  %{_datadir}/doom

Name:           freedoom-freedm
Version:        0.7
Release:        0
Summary:        Deathmatch levels for Doom
License:        BSD
Group:          Amusements/Games/3D/Shoot
Url:            http://freedoom.sourceforge.net
Source0:        http://mirror.lihnidos.org/GNU/savannah/freedoom/freedm/freedm-%{version}.zip
Source1:        freedoom-freedm.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  freedoom
BuildRequires:  prboom
BuildRequires:  unzip
BuildRequires:  update-desktop-files
Requires:       freedoom
Requires:       prboom

%description
A set of deathmatch levels for the DOOM game engine, based on the
freely redistributable Freedoom game files.

%prep
%setup -q -n freedm-%{version}

%build
# Game data files.  Nothing to build!

%install
install -D -m 0644 freedm.wad $RPM_BUILD_ROOT%{waddir}/freedm.wad
%suse_update_desktop_file -i %{name}

%files
%defattr(-,root,root)
%doc README COPYING CREDITS NEWS
%{waddir}/freedm.wad
%{_datadir}/applications/*.desktop

%changelog
